# Corpus
Aquest bot desa els missatges públics dels usuaris d'un servidor Mastodon que s´hi donin d'alta. En qualsevol moment poden donar-se de baixa.  

Al demanar l'alta en aquest bot, es pregunta a l'usuari confirmació de majoria d'edat, si accepta cedir a aquest projecte Corpus tots els seus tuts públics sota llicència CC0 i sí els tuts que escrigui no seran copies dels escrits per algú altre.  
Al confirmar-ho tot, l'usuari permet alimentar amb frases escrites en català projectes lingüístics com per exemple Common Voice.

En el cas del bot [corpus](https://mastodont.cat/@corpus) de [mastodont.cat](https://mastodont.cat), els tuts públics desats es pujaran de manera periòdica i anonimitzada a aquest repositori.

### Com donar-se d'alta o de baixa  

Demanar-ho al bot, mencionant-lo:

@bot alta  
@bot baixa

Tots els usuaris donats d'alta poden esborrar quan ho desitgin tots els missatges que el bot tingui desats:  

@bot esborra

### Com instal·lar aquest bot

#### Dependències

-   **Python 3**
-   Servidor Postgresql
-   Un compte Mastodon per aquest bot

Dins del entorn virtual Python:

1. Executar `pip install -r requirements.txt` per a instal·lar les llibreries necessàries.

2. Executar `python corpus.py` per a fer la configuració inicial del bot de Mastodon i per a crear la base de dades Postgresql on desar els missatges públics.  

3. Configurar cron per a que executi `python corpus.py` cada minut.  

